Get Tournament Details
curl --request GET \
--url https://api.16tms.com/api/v1/tournaments/{id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.16tms.com/api/v1/tournaments/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.16tms.com/api/v1/tournaments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Tournament fetched successfully",
"data": {
"tournamentId": "91598fb6-12f0-4fe1-aaec-6b408ab92565",
"tournamentName": "Auto Test Tournament",
"gameId": "03401d21-5109-4991-a39c-551a05bfa176",
"gameName": "BGMI",
"description": "This is an auto-filled tournament used for rapid testing scenarios.",
"enrollmentLimit": 32,
"maxTeamMembers": 4,
"minTeamMembers": 2,
"startTime": "2026-02-13T12:10:00Z",
"endTime": "2026-02-15T12:10:00Z",
"registrationDeadline": "2026-02-13T11:10:00Z",
"registrationOpen": true,
"isOnline": true,
"status": 1,
"matchType": 2,
"tournamentFormat": null,
"teamType": "squad",
"color": "#2563eb",
"prizePool": 5000,
"entryFee": 50,
"rules": "{\"test\":\"test\",\"test2\":\"test2\"}",
"prizeDistribution": "{\"positions\":[{\"prize\":\"1st Place\",\"amount\":0}],\"special\":[]}",
"pointsSystem": "{\"pointsPerFinish\":1,\"pointsPerKnock\":0,\"placementPoints\":{\"1\":10,\"2\":6,\"3\":5,\"4\":4,\"5\":3,\"6\":2,\"7\":1,\"8\":1}}",
"bracketData": null,
"watchUrls": null,
"joinLink": null,
"image": null,
"coverImage": null,
"isTrending": false,
"isFeatured": true,
"isPasswordProtected": false,
"instantRegistrations": false,
"winnerTeamId": null,
"winnerTeamName": null,
"organiserId": "ed749113-00da-4413-ba11-f62e1140cabb",
"organiserName": "Dhruv Patel",
"organiserImage": null,
"entryFeeCurrencyId": "10282b10-2b44-4bbb-9c1d-155e0bb46e79",
"entryFeeCurrencyName": "d",
"entryFeeCurrencySymbol": "$",
"prizePoolCurrencyId": "10282b10-2b44-4bbb-9c1d-155e0bb46e79",
"prizePoolCurrencyName": "d",
"prizePoolCurrencySymbol": "$",
"teamsJoinedCount": 0,
"hasJoined": null,
"canJoin": null,
"cannotJoinReason": null
},
"meta": {
"traceId": "00-ea52a8e1d11a32b60520c17c0818c717-b4ef7d2e5d5ccc9c-00",
"elapsedMs": 5.7,
"serverTimestamp": "2026-02-12T11:38:31.8482596Z"
}
}API Reference
Get Tournament Details
Fetch detailed information about a specific tournament.
GET
/
tournaments
/
{id}
Get Tournament Details
Authorizations
API key for authentication.
Path Parameters
The unique identifier of the tournament
Query Parameters
External ID of the user. If provided, user-specific fields like 'hasJoined' will be populated.
⌘I